%global __requires_exclude pear\\(PHPUnit/Framework.php\\)
%define upstream_name Tree
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.7
Release:     	%mkrel 9
Summary:    	Generic tree management, currently supports databases (via DB, MDB and MDB2) and XML as data sources
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Tree-%{version}.tgz
URL: 		http://pear.php.net/package/Tree
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear >= 1.4.0b1
BuildArch: noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Provides methods to read and manipulate trees, which are stored in a
database (via DB, MDB and MDB2) or an XML file.

The trees can be stored in the DB either as nested trees.
Or as simple trees, which use parentId-like structure.
Currently XML data can only be read from a file and accessed.
The package offers a big number of methods to access and manipulate trees.
For example methods like: getRoot, getChild[ren[Ids]], getParent[s[Ids]],
getPath[ById] and many
more.

There are two ways of retreiving the data from the place where they are
stored,
one is by reading the entire tree into the memory - the Memory way. The
other
is reading the tree nodes as needed (very useful in combination with huge
trees
and the nested set model).

The package is designed that way that it is possible to convert/copy tree
data
from either structure to another (from XML into DB).


This package has the following drivers:
* DB
* MDB
* MDB2
* Array
* XML
* FileSystem

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Tree.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Tree.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Tree
fi

%files
%doc docs/Tree/*
%{peardir}/*
%{xmldir}/Tree.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.3.7-9.mga6
+ Revision: 950443
- Mageia 6 Mass Rebuild

* Wed Oct 29 2014 tv <tv> 0.3.7-8.mga5
+ Revision: 794499
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.3.7-7.mga5
+ Revision: 749841
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.3.7-6.mga5
+ Revision: 734184
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.7-5.mga5
+ Revision: 687499
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.3.7-4.mga4
+ Revision: 517226
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.7-3.mga3
+ Revision: 377384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 15 2012 spuhler <spuhler> 0.3.7-2.mga2
+ Revision: 196228
- added exceptions pear(PHPUnit/Framework.php)

* Fri Jan 13 2012 spuhler <spuhler> 0.3.7-1.mga2
+ Revision: 195583
- upgrade to 0.3.7
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 0.3.4-4.mga1
+ Revision: 28030
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Tree


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.4-4mdv2011.0
+ Revision: 607159
- rebuild

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.4-3mdv2010.1
+ Revision: 466331
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.4-2mdv2010.0
+ Revision: 426671
- rebuild

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.3.4-1mdv2009.1
+ Revision: 368277
- Update php pear Tree to version 0.3.4

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-2mdv2009.1
+ Revision: 321916
- rebuild

* Sat Aug 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-1mdv2009.0
+ Revision: 272599
- 0.3.3

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.1-3mdv2009.0
+ Revision: 224887
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2008.1
+ Revision: 178541
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 54560
- 0.3.1

* Sun Jun 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.0-1mdv2008.0
+ Revision: 34816
- 0.3.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-7mdv2007.0
+ Revision: 82779
- Import php-pear-Tree

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdk
- initial Mandriva package (PLD import)

